﻿Imports Microsoft.Win32

Public Class Form1
    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        'Define classe SystemEvents para receber as notificações dos eventos 
        'quando uma preferência do usuário for alterada, a paleta sofre alteração, a exibição das configurações mudar 
        'ou quando ocorrer uma alteração na data/hora
        AddHandler SystemEvents.UserPreferenceChanging, AddressOf SystemEvents_UserPreferenceChanging
        AddHandler SystemEvents.PaletteChanged, AddressOf SystemEvents_PaletteChanged
        AddHandler SystemEvents.DisplaySettingsChanged, AddressOf SystemEvents_DisplaySettingsChanged
        AddHandler Microsoft.Win32.SystemEvents.TimeChanged, AddressOf TimeChangedEvent

        Logger.DeletaLog()
    End Sub

    'Verifica alterações na data/hora do sistema
    Sub TimeChangedEvent(ByVal sender As Object, ByVal e As System.EventArgs)
        Logger.RegistraEvento("A data/hora do sistema foi alterada" & e.ToString())
    End Sub

    ' Este método é chamado quando uma preferência do usuário é alterada.
    Private Sub SystemEvents_UserPreferenceChanging(ByVal sender As Object, ByVal e As UserPreferenceChangingEventArgs)
        Logger.RegistraEvento("Alteração de preferencias do usuário : " & e.Category.ToString())
    End Sub

    ' Este método é chamado quando a paleta é alterada.
    Private Sub SystemEvents_PaletteChanged(ByVal sender As Object, ByVal e As EventArgs)
        Logger.RegistraEvento("Ocorreu uma alteração na Paleta")
    End Sub

    ' Este método é chamado quando as exibição das configurações muda
    Private Sub SystemEvents_DisplaySettingsChanged(ByVal sender As Object, ByVal e As EventArgs)
        Logger.RegistraEvento("Exibição das configurações foi alterada.")
    End Sub

    ' Verifica as alterações das preferências do usuário
    Sub UserPreferenceChangedEvent(ByVal sender As Object, ByVal e As Microsoft.Win32.UserPreferenceChangedEventArgs)
        ' Verifica a categoria alterada
        Select Case e.Category
            Case Microsoft.Win32.UserPreferenceCategory.Color
                Logger.RegistraEvento("Foram alteradas as cores do sistema")
            Case Microsoft.Win32.UserPreferenceCategory.Screensaver
                Logger.RegistraEvento("Foi alterado o screensaver do sistema")
            Case Microsoft.Win32.UserPreferenceCategory.Window
                Logger.RegistraEvento("Foram alteradas dimensões ou características do sistema")
        End Select
    End Sub

    Private Sub picPizza_MouseEnter(sender As Object, e As EventArgs) Handles picPizza.MouseEnter
        Logger.RegistraEvento("MouseEnter")
    End Sub

    Private Sub picPizza_MouseClick(sender As Object, e As MouseEventArgs) Handles picPizza.MouseClick
        Logger.RegistraEvento("MouseClick")
    End Sub

    Private Sub picPizza_MouseLeave(sender As Object, e As EventArgs) Handles picPizza.MouseLeave
        Logger.RegistraEvento("MouseLeave")
    End Sub

    Private Sub Form1_SizeChanged(sender As Object, e As EventArgs) Handles MyBase.SizeChanged
        Logger.RegistraEvento("Form SizeChanged")
    End Sub
End Class
